diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandClone.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandClone.java
index ffeb83a08..0fb5cff75 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandClone.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandClone.java
@@ -2,8 +2,8 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.CommandDispatcher;
 import com.mojang.brigadier.builder.ArgumentBuilder;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.context.CommandContext;
 import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
@@ -36,26 +36,26 @@ public class CommandClone implements CommandManager.CommandRegistry {
     private static final SimpleCommandExceptionType NOWHERE_LOADED = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.clone.exception_nowhere_loaded"));
 
     public void register(CommandDispatcher<CommandSource> commandDispatcher) {
-        commandDispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("clone")
+        commandDispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("clone")
                 .requires(CommandSource::hasAdmin)
                 .then(beginEndDestinationAndModeSuffix(c -> {
                     return c.getSource().getWorld();
                 }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("from")
-                        .then((RequiredArgumentBuilder.<CommandSource, Dimension>argument("sourceDimension", ArgumentTypeDimension.dimension()))
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("from")
+                        .then((ArgumentBuilderRequired.<CommandSource, Dimension>argument("sourceDimension", ArgumentTypeDimension.dimension()))
                                 .then(beginEndDestinationAndModeSuffix(c -> {
                                     return c.getSource().getWorld(c.getArgument("sourceDimension", Dimension.class).id);
                                 })))));
     }
 
     private static ArgumentBuilder<CommandSource, ?> beginEndDestinationAndModeSuffix(CommandFunction<CommandContext<CommandSource>, World> commandFunction) {
-        return RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("begin", ArgumentTypeIntegerCoordinates.intCoordinates())
-                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("end", ArgumentTypeIntegerCoordinates.intCoordinates())
+        return ArgumentBuilderRequired.<CommandSource, IntegerCoordinates>argument("begin", ArgumentTypeIntegerCoordinates.intCoordinates())
+                .then(ArgumentBuilderRequired.<CommandSource, IntegerCoordinates>argument("end", ArgumentTypeIntegerCoordinates.intCoordinates())
                         .then(destinationAndModeSuffix(commandFunction, c -> {
                             return c.getSource().getWorld();
                         }))
-                        .then(LiteralArgumentBuilder.<CommandSource>literal("to")
-                                .then((RequiredArgumentBuilder.<CommandSource, Dimension>argument("targetDimension", ArgumentTypeDimension.dimension()))
+                        .then(ArgumentBuilderLiteral.<CommandSource>literal("to")
+                                .then((ArgumentBuilderRequired.<CommandSource, Dimension>argument("targetDimension", ArgumentTypeDimension.dimension()))
                                         .then(destinationAndModeSuffix(commandFunction, c -> {
                                             return c.getSource().getWorld(c.getArgument("targetDimension", Dimension.class).id);
                                         })))));
@@ -70,37 +70,37 @@ public class CommandClone implements CommandManager.CommandRegistry {
         CommandFunction<CommandContext<CommandSource>, WorldAndPosition> commandFunction3 = c -> getWorldAndPosition(c, commandFunction.apply(c), "begin");
         CommandFunction<CommandContext<CommandSource>, WorldAndPosition> commandFunction4 = c -> getWorldAndPosition(c, commandFunction.apply(c), "end");
         CommandFunction<CommandContext<CommandSource>, WorldAndPosition> commandFunction5 = c -> getWorldAndPosition(c, commandFunction2.apply(c), "destination");
-        return RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("destination", ArgumentTypeIntegerCoordinates.intCoordinates())
+        return ArgumentBuilderRequired.<CommandSource, IntegerCoordinates>argument("destination", ArgumentTypeIntegerCoordinates.intCoordinates())
                 .executes(c -> {
                     return clone(c.getSource(), commandFunction3.apply(c), commandFunction4.apply(c), commandFunction5.apply(c), null, CloneMode.NORMAL);
                 })
-                .then(wrapWithCloneMode(commandFunction3, commandFunction4, commandFunction5, (commandContext) -> null, LiteralArgumentBuilder.<CommandSource>literal("replace")
+                .then(wrapWithCloneMode(commandFunction3, commandFunction4, commandFunction5, (commandContext) -> null, ArgumentBuilderLiteral.<CommandSource>literal("replace")
                         .executes(c -> {
                             return clone(c.getSource(), commandFunction3.apply(c), commandFunction4.apply(c), commandFunction5.apply(c), null, CloneMode.NORMAL);
                         })))
-                .then(wrapWithCloneMode(commandFunction3, commandFunction4, commandFunction5, commandContext -> new BlockInput(null, 0, new CompoundTag()), LiteralArgumentBuilder.<CommandSource>literal("masked")
+                .then(wrapWithCloneMode(commandFunction3, commandFunction4, commandFunction5, commandContext -> new BlockInput(null, 0, new CompoundTag()), ArgumentBuilderLiteral.<CommandSource>literal("masked")
                         .executes(c -> {
                             return clone(c.getSource(), commandFunction3.apply(c), commandFunction4.apply(c), commandFunction5.apply(c), new BlockInput(null, 0, new CompoundTag()), CloneMode.NORMAL);
                         })))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("filtered")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("filtered")
                         .then(wrapWithCloneMode(commandFunction3, commandFunction4, commandFunction5, c -> {
                             return c.getArgument("filter", BlockInput.class);
-                            }, RequiredArgumentBuilder.<CommandSource, BlockInput>argument("filter", ArgumentTypeBlock.block())
+                            }, ArgumentBuilderRequired.<CommandSource, BlockInput>argument("filter", ArgumentTypeBlock.block())
                                 .executes(c -> {
                                     return clone(c.getSource(), commandFunction3.apply(c), commandFunction4.apply(c), commandFunction5.apply(c), c.getArgument("filter", BlockInput.class), CloneMode.NORMAL);
                                 }))));
     }
 
     private static ArgumentBuilder<CommandSource, ?> wrapWithCloneMode(CommandFunction<CommandContext<CommandSource>, WorldAndPosition> commandFunction, CommandFunction<CommandContext<CommandSource>, WorldAndPosition> commandFunction2, CommandFunction<CommandContext<CommandSource>, WorldAndPosition> commandFunction3, CommandFunction<CommandContext<CommandSource>, BlockInput> commandFunction4, ArgumentBuilder<CommandSource, ?> argumentBuilder) {
-        return argumentBuilder.then(LiteralArgumentBuilder.<CommandSource>literal("force")
+        return argumentBuilder.then(ArgumentBuilderLiteral.<CommandSource>literal("force")
                 .executes(c -> {
                     return clone(c.getSource(), commandFunction.apply(c), commandFunction2.apply(c), commandFunction3.apply(c), commandFunction4.apply(c), CloneMode.FORCE);
                 }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("move")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("move")
                         .executes(c -> {
                             return clone(c.getSource(), commandFunction.apply(c), commandFunction2.apply(c), commandFunction3.apply(c), commandFunction4.apply(c), CloneMode.MOVE);
                         }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("normal")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("normal")
                         .executes(c -> {
                             return clone(c.getSource(), commandFunction.apply(c), commandFunction2.apply(c), commandFunction3.apply(c), commandFunction4.apply(c), CloneMode.NORMAL);
                         }));
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandDamage.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandDamage.java
index 5cc8b2e89..93c1e4a4a 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandDamage.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandDamage.java
@@ -1,9 +1,9 @@
 package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.IntegerArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeInteger;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.net.command.CommandManager;
 import net.minecraft.core.util.helper.DamageType;
@@ -16,11 +16,11 @@ import java.util.List;
 
 public class CommandDamage implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("damage")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("damage")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entities", ArgumentTypeEntity.entities())
-                        .then(RequiredArgumentBuilder.<CommandSource, DamageType>argument("type", ArgumentTypeDamageType.damageType())
-                                .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("amount", IntegerArgumentType.integer(0, 32768))
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("entities", ArgumentTypeEntity.entities())
+                        .then(ArgumentBuilderRequired.<CommandSource, DamageType>argument("type", ArgumentTypeDamageType.damageType())
+                                .then(ArgumentBuilderRequired.<CommandSource, Integer>argument("amount", ArgumentTypeInteger.integer(0, 32768))
                                         .executes(c -> {
                                             List<? extends Entity> entities = c.getArgument("entities", EntitySelector.class).get(c.getSource());
                                             DamageType type = c.getArgument("type", DamageType.class);
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandFill.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandFill.java
index 071213d5d..4495f5deb 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandFill.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandFill.java
@@ -1,8 +1,8 @@
 package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.block.entity.TileEntity;
@@ -20,11 +20,11 @@ import org.jetbrains.annotations.Nullable;
 
 public class CommandFill implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("fill")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("fill")
             .requires(CommandSource::hasAdmin)
-            .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("first", ArgumentTypeIntegerCoordinates.intCoordinates())
-                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("second", ArgumentTypeIntegerCoordinates.intCoordinates())
-                    .then(RequiredArgumentBuilder.<CommandSource, BlockInput>argument("block", ArgumentTypeBlock.block())
+            .then(ArgumentBuilderRequired.<CommandSource, IntegerCoordinates>argument("first", ArgumentTypeIntegerCoordinates.intCoordinates())
+                .then(ArgumentBuilderRequired.<CommandSource, IntegerCoordinates>argument("second", ArgumentTypeIntegerCoordinates.intCoordinates())
+                    .then(ArgumentBuilderRequired.<CommandSource, BlockInput>argument("block", ArgumentTypeBlock.block())
                         .executes(c -> {
                             IntegerCoordinates first = c.getArgument("first", IntegerCoordinates.class);
                             IntegerCoordinates second = c.getArgument("second", IntegerCoordinates.class);
@@ -35,7 +35,7 @@ public class CommandFill implements CommandManager.CommandRegistry {
                             c.getSource().sendTranslatableMessage(blocksFilled == 1 ? "command.commands.fill.success_single" : "command.commands.fill.success_multiple", blocksFilled);
                             return blocksFilled;
                         })
-                        .then(LiteralArgumentBuilder.<CommandSource>literal("replace")
+                        .then(ArgumentBuilderLiteral.<CommandSource>literal("replace")
                             .executes(c -> {
                                 IntegerCoordinates first = c.getArgument("first", IntegerCoordinates.class);
                                 IntegerCoordinates second = c.getArgument("second", IntegerCoordinates.class);
@@ -46,7 +46,7 @@ public class CommandFill implements CommandManager.CommandRegistry {
                                 c.getSource().sendTranslatableMessage(blocksFilled == 1 ? "command.commands.fill.success_single" : "command.commands.fill.success_multiple", blocksFilled);
                                 return blocksFilled;
                             })
-                            .then(RequiredArgumentBuilder.<CommandSource, BlockInput>argument("filter", ArgumentTypeBlock.block())
+                            .then(ArgumentBuilderRequired.<CommandSource, BlockInput>argument("filter", ArgumentTypeBlock.block())
                                 .executes(c -> {
                                     IntegerCoordinates first = c.getArgument("first", IntegerCoordinates.class);
                                     IntegerCoordinates second = c.getArgument("second", IntegerCoordinates.class);
@@ -58,7 +58,7 @@ public class CommandFill implements CommandManager.CommandRegistry {
                                     c.getSource().sendTranslatableMessage(blocksFilled == 1 ? "command.commands.fill.success_single" : "command.commands.fill.success_multiple", blocksFilled);
                                     return blocksFilled;
                                 })))
-                        .then(LiteralArgumentBuilder.<CommandSource>literal("hollow")
+                        .then(ArgumentBuilderLiteral.<CommandSource>literal("hollow")
                             .executes(c -> {
                                 IntegerCoordinates first = c.getArgument("first", IntegerCoordinates.class);
                                 IntegerCoordinates second = c.getArgument("second", IntegerCoordinates.class);
@@ -69,7 +69,7 @@ public class CommandFill implements CommandManager.CommandRegistry {
                                 c.getSource().sendTranslatableMessage(blocksFilled == 1 ? "command.commands.fill.success_single" : "command.commands.fill.success_multiple", blocksFilled);
                                 return blocksFilled;
                             }))
-                        .then(LiteralArgumentBuilder.<CommandSource>literal("outline")
+                        .then(ArgumentBuilderLiteral.<CommandSource>literal("outline")
                             .executes(c -> {
                                 IntegerCoordinates first = c.getArgument("first", IntegerCoordinates.class);
                                 IntegerCoordinates second = c.getArgument("second", IntegerCoordinates.class);
@@ -80,7 +80,7 @@ public class CommandFill implements CommandManager.CommandRegistry {
                                 c.getSource().sendTranslatableMessage(blocksFilled == 1 ? "command.commands.fill.success_single" : "command.commands.fill.success_multiple", blocksFilled);
                                 return blocksFilled;
                             }))
-                        .then(LiteralArgumentBuilder.<CommandSource>literal("keep")
+                        .then(ArgumentBuilderLiteral.<CommandSource>literal("keep")
                             .executes(c -> {
                                 IntegerCoordinates first = c.getArgument("first", IntegerCoordinates.class);
                                 IntegerCoordinates second = c.getArgument("second", IntegerCoordinates.class);
@@ -91,7 +91,7 @@ public class CommandFill implements CommandManager.CommandRegistry {
                                 c.getSource().sendTranslatableMessage(blocksFilled == 1 ? "command.commands.fill.success_single" : "command.commands.fill.success_multiple", blocksFilled);
                                 return blocksFilled;
                             }))
-                        .then(LiteralArgumentBuilder.<CommandSource>literal("destroy")
+                        .then(ArgumentBuilderLiteral.<CommandSource>literal("destroy")
                             .executes(c -> {
                                 IntegerCoordinates first = c.getArgument("first", IntegerCoordinates.class);
                                 IntegerCoordinates second = c.getArgument("second", IntegerCoordinates.class);
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandGameMode.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandGameMode.java
index 36f9f5676..71aab7d48 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandGameMode.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandGameMode.java
@@ -2,8 +2,8 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.lang.I18n;
@@ -20,9 +20,9 @@ import java.util.List;
 
 public class CommandGameMode implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("gamemode")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("gamemode")
             .requires(CommandSource::hasAdmin)
-            .then(RequiredArgumentBuilder.<CommandSource, Gamemode>argument("gamemode", ArgumentTypeGameMode.gameMode())
+            .then(ArgumentBuilderRequired.<CommandSource, Gamemode>argument("gamemode", ArgumentTypeGameMode.gameMode())
                 .executes(c -> {
                     CommandSource source = c.getSource();
                     Gamemode gameMode = c.getArgument("gamemode", Gamemode.class);
@@ -35,7 +35,7 @@ public class CommandGameMode implements CommandManager.CommandRegistry {
                     source.sendTranslatableMessage("command.commands.gamemode.success_self", I18n.getInstance().translateKey(gameMode.getLanguageKey() + ".name"));
                     return Command.SINGLE_SUCCESS;
                 })
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("targets", ArgumentTypeEntity.players())
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("targets", ArgumentTypeEntity.usernames())
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         Gamemode gameMode = c.getArgument("gamemode", Gamemode.class);
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandGameRule.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandGameRule.java
index d5151e6db..00b1d2c54 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandGameRule.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandGameRule.java
@@ -2,9 +2,9 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.BoolArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeBool;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.tree.CommandNode;
 import net.minecraft.core.data.gamerule.GameRule;
 import net.minecraft.core.data.gamerule.GameRuleBoolean;
@@ -16,19 +16,19 @@ import net.minecraft.core.net.packet.PacketGameRule;
 
 public class CommandGameRule implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        final LiteralArgumentBuilder<CommandSource> argumentBuilder = LiteralArgumentBuilder.<CommandSource>literal("gamerule").requires(CommandSource::hasAdmin);
+        final ArgumentBuilderLiteral<CommandSource> argumentBuilder = ArgumentBuilderLiteral.<CommandSource>literal("gamerule").requires(CommandSource::hasAdmin);
         for (final GameRule<?> gameRule : Registries.GAME_RULES) {
-            RequiredArgumentBuilder<CommandSource, ?> gameRuleValueArgument;
+            ArgumentBuilderRequired<CommandSource, ?> gameRuleValueArgument;
             if (gameRule instanceof GameRuleBoolean) {
-                gameRuleValueArgument = RequiredArgumentBuilder.<CommandSource, Boolean>argument("value", BoolArgumentType.bool())
+                gameRuleValueArgument = ArgumentBuilderRequired.<CommandSource, Boolean>argument("value", ArgumentTypeBool.bool())
                         .executes(c -> {
-                            c.getSource().getWorld().getLevelData().getGameRules().setValue((GameRuleBoolean) gameRule, BoolArgumentType.getBool(c, "value"));
+                            c.getSource().getWorld().getLevelData().getGameRules().setValue((GameRuleBoolean) gameRule, ArgumentTypeBool.getBool(c, "value"));
                             c.getSource().sendPacketToAllPlayers(() -> new PacketGameRule(c.getSource().getWorld().getLevelData().getGameRules()));
-                            c.getSource().sendTranslatableMessage("command.commands.gamerule.set", gameRule.getKey(), BoolArgumentType.getBool(c, "value"));
+                            c.getSource().sendTranslatableMessage("command.commands.gamerule.set", gameRule.getKey(), ArgumentTypeBool.getBool(c, "value"));
                             return Command.SINGLE_SUCCESS;
                         });
             } else {
-                gameRuleValueArgument = RequiredArgumentBuilder.<CommandSource, Object>argument("value", ArgumentTypeGameruleGeneric.gameRule(gameRule))
+                gameRuleValueArgument = ArgumentBuilderRequired.<CommandSource, Object>argument("value", ArgumentTypeGameruleGeneric.gameRule(gameRule))
                         .executes(c -> {
                             Object o = c.getArgument("value", Object.class);
                             c.getSource().getWorld().getLevelData().getGameRules().setValue((GameRule) gameRule, o);
@@ -37,7 +37,7 @@ public class CommandGameRule implements CommandManager.CommandRegistry {
                             return Command.SINGLE_SUCCESS;
                         });
             }
-            argumentBuilder.then(LiteralArgumentBuilder.<CommandSource>literal(gameRule.getKey())
+            argumentBuilder.then(ArgumentBuilderLiteral.<CommandSource>literal(gameRule.getKey())
                     .executes(c -> {
                         c.getSource().sendTranslatableMessage("command.commands.gamerule.get", gameRule.getKey(), c.getSource().getWorld().getGameRuleValue(gameRule));
                         return Command.SINGLE_SUCCESS;
@@ -45,7 +45,7 @@ public class CommandGameRule implements CommandManager.CommandRegistry {
                     .then(gameRuleValueArgument));
         }
         CommandNode<CommandSource> commandNode = dispatcher.register(argumentBuilder);
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("gr")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("gr")
                 .requires(CommandSource::hasAdmin)
                 .redirect(commandNode));
     }
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandGive.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandGive.java
index d924ab645..871923b54 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandGive.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandGive.java
@@ -2,9 +2,9 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.IntegerArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeInteger;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
@@ -19,10 +19,10 @@ import java.util.List;
 
 public class CommandGive implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("give")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("give")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.players())
-                        .then(RequiredArgumentBuilder.<CommandSource, ItemStack>argument("item", ArgumentTypeItemStack.itemStack())
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.usernames())
+                        .then(ArgumentBuilderRequired.<CommandSource, ItemStack>argument("item", ArgumentTypeItemStack.itemStack())
                                 .executes(c -> {
                                     CommandSource source = c.getSource();
                                     ItemStack itemStack = c.getArgument("item", ItemStack.class);
@@ -45,7 +45,7 @@ public class CommandGive implements CommandManager.CommandRegistry {
 
                                     return Command.SINGLE_SUCCESS;
                                 })
-                                .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("amount", IntegerArgumentType.integer(1, 6400))
+                                .then(ArgumentBuilderRequired.<CommandSource, Integer>argument("amount", ArgumentTypeInteger.integer(1, 6400))
                                         .executes(c -> {
                                             CommandSource source = c.getSource();
                                             ItemStack itemStack = c.getArgument("item", ItemStack.class);
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandHeal.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandHeal.java
index 917fc4b15..de47f6969 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandHeal.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandHeal.java
@@ -1,9 +1,9 @@
 package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.IntegerArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeInteger;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.net.command.CommandManager;
@@ -18,10 +18,10 @@ import java.util.List;
 
 public class CommandHeal implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("heal")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("heal")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entities", ArgumentTypeEntity.entities())
-                        .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("amount", IntegerArgumentType.integer(0, 32768))
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("entities", ArgumentTypeEntity.entities())
+                        .then(ArgumentBuilderRequired.<CommandSource, Integer>argument("amount", ArgumentTypeInteger.integer(0, 32768))
                                 .executes(c -> {
                                     List<? extends Entity> entities = c.getArgument("entities", EntitySelector.class).get(c.getSource());
                                     int amount = c.getArgument("amount", Integer.class);
